package mods.immibis.redlogic.api.wiring;

/**
 * Implemented by tile entities that emit a full-strength red alloy signal.
 */
public interface IRedstoneEmitter {
	/**
	 * @param dir The direction the signal is being emitted in.
	 * @param side The side of the block to check, in the case of wires.
	 * @return Signal strength from 0 to 255.
	 */ 
	public short getEmittedSignalStrength(int dir, int side);
}
